# Class Constants

java.lang.Object
org.apache.jmeter.monitor.parser.Constants

public class Constants extends Object
Constants for the custom DocumentHandler.

Version:
  $Revision: 674365 $

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ATTRIBUTE_NAME`
`static final String`
`BYTESRECEIVED`
`static final String`
`BYTESSENT`
`static final String`
`CONNECTOR`
`static final String`
`CURRENTBUSYTHREADS`
`static final String`
`CURRENTQUERYSTRING`
`static final String`
`CURRENTTHREADCOUNT`
`static final String`
`CURRENTURI`
`static final String`
`ERRORCOUNT`
`static final String`
`JVM`
`static final String`
`MAXSPARETHREADS`
`static final String`
`MAXTHREADS`
`static final String`
`MAXTIME`
`static final String`
`MEMORY`
`static final String`
`MEMORY_FREE`
`static final String`
`MEMORY_MAX`
`static final String`
`MEMORY_TOTAL`
`static final String`
`METHOD`
`static final String`
`MINSPARETHREADS`
`static final String`
`PROCESSINGTIME`
`static final String`
`PROTOCOL`
`static final String`
`REMOTEADDR`
`static final String`
`REQUESTBYTESRECEIVED`
`static final String`
`REQUESTBYTESSENT`
`static final String`
`REQUESTCOUNT`
`static final String`
`REQUESTINFO`
`static final String`
`REQUESTPROCESSINGTIME`
`static final String`
`STAGE`
`static final String`
`STATUS`
`static final String`
`THREADINFO`
`static final String`
`VIRTUALHOST`
`static final String`
`WORKER`
`static final String`
`WORKERS`

## Constructor Summary

Constructors
Constructor
Description
`Constants()`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### STATUS

public static final String STATUS

See Also:
  - Constant Field Values

### JVM

public static final String JVM

See Also:
  - Constant Field Values

### CONNECTOR

public static final String CONNECTOR

See Also:
  - Constant Field Values

### MEMORY

public static final String MEMORY

See Also:
  - Constant Field Values

### THREADINFO

public static final String THREADINFO

See Also:
  - Constant Field Values

### REQUESTINFO

public static final String REQUESTINFO

See Also:
  - Constant Field Values

### WORKER

public static final String WORKER

See Also:
  - Constant Field Values

### WORKERS

public static final String WORKERS

See Also:
  - Constant Field Values

### MEMORY_FREE

public static final String MEMORY_FREE

See Also:
  - Constant Field Values

### MEMORY_TOTAL

public static final String MEMORY_TOTAL

See Also:
  - Constant Field Values

### MEMORY_MAX

public static final String MEMORY_MAX

See Also:
  - Constant Field Values

### ATTRIBUTE_NAME

public static final String ATTRIBUTE_NAME

See Also:
  - Constant Field Values

### MAXTHREADS

public static final String MAXTHREADS

See Also:
  - Constant Field Values

### MINSPARETHREADS

public static final String MINSPARETHREADS

See Also:
  - Constant Field Values

### MAXSPARETHREADS

public static final String MAXSPARETHREADS

See Also:
  - Constant Field Values

### CURRENTTHREADCOUNT

public static final String CURRENTTHREADCOUNT

See Also:
  - Constant Field Values

### CURRENTBUSYTHREADS

public static final String CURRENTBUSYTHREADS

See Also:
  - Constant Field Values

### MAXTIME

public static final String MAXTIME

See Also:
  - Constant Field Values

### PROCESSINGTIME

public static final String PROCESSINGTIME

See Also:
  - Constant Field Values

### REQUESTCOUNT

public static final String REQUESTCOUNT

See Also:
  - Constant Field Values

### ERRORCOUNT

public static final String ERRORCOUNT

See Also:
  - Constant Field Values

### BYTESRECEIVED

public static final String BYTESRECEIVED

See Also:
  - Constant Field Values

### BYTESSENT

public static final String BYTESSENT

See Also:
  - Constant Field Values

### STAGE

public static final String STAGE

See Also:
  - Constant Field Values

### REQUESTPROCESSINGTIME

public static final String REQUESTPROCESSINGTIME

See Also:
  - Constant Field Values

### REQUESTBYTESSENT

public static final String REQUESTBYTESSENT

See Also:
  - Constant Field Values

### REQUESTBYTESRECEIVED

public static final String REQUESTBYTESRECEIVED

See Also:
  - Constant Field Values

### REMOTEADDR

public static final String REMOTEADDR

See Also:
  - Constant Field Values

### VIRTUALHOST

public static final String VIRTUALHOST

See Also:
  - Constant Field Values

### METHOD

public static final String METHOD

See Also:
  - Constant Field Values

### CURRENTURI

public static final String CURRENTURI

See Also:
  - Constant Field Values

### CURRENTQUERYSTRING

public static final String CURRENTQUERYSTRING

See Also:
  - Constant Field Values

### PROTOCOL

public static final String PROTOCOL

See Also:
  - Constant Field Values

## Constructor Details

### Constants

public Constants()